import React, { ComponentType } from 'react';
import { DrawerType } from '@teambit/ui-foundation.ui.tree.drawer';
import { DrawerSlot } from '../../sidebar.ui.runtime';
export declare type SideBarProps = {
    /**
     * slot of registered drawers.
     */
    drawerSlot: DrawerSlot;
    /**
     * slot of registered items to the main section at the top.
     */
    items?: ComponentType[];
    /**
     * override register drawers from the slot
     */
    overrideDrawerSlot?: DrawerType[];
} & React.HTMLAttributes<HTMLDivElement>;
/**
 * side bar component.
 */
export declare function SideBar({ drawerSlot, items, overrideDrawerSlot, ...rest }: SideBarProps): React.JSX.Element;
